# cPortal Class Reference

Inheritance diagram for cPortal:

List of all members.

## Public Member Functions

| cPortal (DWORD dwGUID, DWORD dwColor, cLocation *Loc, cLocation *destLoc, char *szName, char *szDescription, DWORD dwLowerRestrict, DWORD dwHigherRestrict)
void | Assess (cClient *pcAssesser)
void | Use (cClient *pcUser)
void | Action (cClient *who)
cMessage | CreatePacket ()
void | SetDestination (cLocation *pcLoc)

## Constructor & Destructor Documentation

cPortal::cPortal | ( | DWORD | dwGUID,
|  | DWORD | dwColor,
|  | cLocation * | Loc,
|  | cLocation * | destLoc,
|  | char * | szName,
|  | char * | szDescription,
|  | DWORD | dwLowerRestrict,
|  | DWORD | dwHigherRestrict |
| ) |  |  |

A constructor.

Called whenever a portal object is initialized.

Handles the creation of portals.

Called whenever a portal object should be initialized.

## Member Function Documentation

void cPortal::Action | ( | cClient * | who | ) | `[virtual]`

Handles the actions of portal objects.

This function is called whenever a portal is used or should perform an action.

Implements cObject.

void cPortal::Assess | ( | cClient * | pcAssesser | ) | `[virtual]`

Handles the assessment of portal objects.

This function is called whenever a portal is assessed by a client.

Returns a Game Event (0x0000F7B0) server message of type Identify Object (0x000000C9).

Reimplemented from cObject.

cMessage cPortal::CreatePacket | ( |  | ) | `[virtual]`

Handles the message sent for the creation of portals in the world.

This function is called whenever a portal should be created in the world for a client.

Returns:
  cMessage - Returns a Create Object (0x0000F745) server message.

Implements cObject.

The documentation for this class was generated from the following files:

- E:/uas2/Server/Object.h
- E:/uas2/Server/cPortal.cpp